Bug 1027514 - Automatic font retrieval makes gucharmap unusable
Automatic font retrieval makes gucharmap unusable
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gucharmap (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 20:36 EST by Rodd Clarkson
Modified: 2015-06-29 08:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:50:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen show showing install dialogs, none of which respond to clicks. (170.49 KB, image/png)
2013-11-06 20:36 EST, Rodd Clarkson
no flags Details
Screen shot showing dialogs after closing gucharmap. Note the hidden dialog. (729.12 KB, image/png)
2013-11-06 21:12 EST, Rodd Clarkson
no flags Details

  None (edit)
Description Rodd Clarkson 2013-11-06 20:36:18 EST
Created attachment 820824 [details]
Screen show showing install dialogs, none of which respond to clicks.

Description of problem:

Browsing through gucharmap looking for characters, it asked me if I would like to install missing fonts.  Which is great.  However, it asked a couple of times and I said yes each time and the screen shot attached is the resulting chaos.

I'm assuming there is a third dialog hidden behind on of the other two "Do you want to intall" dialogs that needs me to respond to it first, but I can't get to is, which makes it hard to respond too.

Regardless, gucharmap has become unusable, and while I'm sure that I could kill the process, it's not that user friendly.


Version-Release number of selected component (if applicable):

gucharmap-3.10.0-1.fc20.x86_64

How reproducible:

I've only seen it once.  I guess it depends on how many fonts you have installed and how much clicking around inside gucharmap you do, but I'm guessing it's not hard to reproduce.

I click on lots of different language types on the side of Wingdings and Wingdings 2 (which interestingly showed letters and not wingdings.)


Steps to Reproduce:
1. Open gucharmap
2. Select wingdings
3. Click on various scripts
Comment 1 Rodd Clarkson 2013-11-06 21:10:40 EST
I was able to close gucharmap using the top panel menu item.

The other dialogs remain on screen, but I'm not able to move the dialog with the Myanmar and Burmese fonts and under it is another dialog saying gucharmap wants to install a font (in this case N'Ko).

I'll attach a screenshot of this.
Comment 2 Rodd Clarkson 2013-11-06 21:12:04 EST
Created attachment 820834 [details]
Screen shot showing dialogs after closing gucharmap.  Note the hidden dialog.
Comment 3 Fedora End Of Life 2015-05-29 05:42:34 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-06-29 08:50:12 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.